Skip to main content
GET
https://aigenstudio.app/api/v1
/
jobs
/
{jobId}
Get job
curl --request GET \
  --url https://aigenstudio.app/api/v1/jobs/{jobId} \
  --header 'Authorization: Bearer <token>'
{
  "job": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sandbox": true,
    "total_results": 123,
    "credits_reserved": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "completed_results": 123,
    "failed_results": 123,
    "updated_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z"
  },
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "external_id": "<string>",
      "source_url": "<string>",
      "result_url": "<string>",
      "thumbnail_url": "<string>",
      "error_code": "<string>",
      "error_message": "<string>",
      "credits_reserved": 123,
      "credits_used": 123
    }
  ],
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Request-Id
string

Optional client correlation id. AI Gen Studio also returns request_id.

Maximum string length: 160

Path Parameters

jobId
string<uuid>
required

Response

Job returned.

job
object
required
results
object[]
required
request_id
string
required